PVSECRET-CREATE-ASSOCIATION(1)

NAME
pvsecret-create-association - Create an association secret

SYNOPSIS
pvsecret create association [OPTIONS] <NAME>

DESCRIPTION
Use an association secret to connect a trusted I/O device to a guest. The pvapconfig tool provides more information about association secrets.

OPTIONS

<NAME>
    String that identifies the new secret. The actual secret is set with --input-secret. The name is saved in `NAME.yaml` with white-spaces mapped to `_`.

--stdout
    Print the hashed name to stdout. The hashed name is not written to `NAME.yaml`

--input-secret <SECRET-FILE>
    Path from which to read the plaintext secret. Uses a random secret if not specified.

--output-secret <SECRET-FILE>
    Save the generated secret as plaintext in SECRET-FILE. The generated secret can be used to generate add-secret requests for a different guest with the same secret using --input-secret. Destroy the secret when it is not used anymore.

-h, --help
    Print help (see a summary with -h).

SEE ALSO

pvsecret(1) pvsecret-create(1)